mbed TLS v2.23.0

Data Fields
psa_drv_entropy_t Struct Reference
Entropy Generation

A struct containing all of the function pointers needed to interface to an entropy source. More...

`#include <crypto_entropy_driver.h>`

## Data Fields
const size_t | context_size
psa_drv_entropy_init_t | p_init
psa_drv_entropy_get_bits_t | p_get_bits

## Detailed Description

A struct containing all of the function pointers needed to interface to an entropy source.

PSA Crypto API implementations should populate instances of the table as appropriate upon startup.

If one of the functions is not implemented, it should be set to NULL.

Definition at line 94 of file crypto_entropy_driver.h.

## Field Documentation

## ◆ context_size

const size_t psa_drv_entropy_t::context_size

The driver-specific size of the entropy context

Definition at line 96 of file crypto_entropy_driver.h.

## ◆ p_get_bits

psa_drv_entropy_get_bits_t psa_drv_entropy_t::p_get_bits

Function that performs the get_bits operation for the entropy source

Definition at line 100 of file crypto_entropy_driver.h.

## ◆ p_init

psa_drv_entropy_init_t psa_drv_entropy_t::p_init

Function that performs initialization for the entropy source

Definition at line 98 of file crypto_entropy_driver.h.

The documentation for this struct was generated from the following file:

- crypto_entropy_driver.h